Admiral

Agents

Revoke use of an agent

POST
/v1/agents/{agent_id}/grants/revoke

Scope: agent:write

Authorization

bearerAuth
AuthorizationBearer <token>

An API key, or an access token minted from one. Pass it in the Authorization header: Bearer admp_...

In: header

Path Parameters

agent_id*agent_id

The agent_id path parameter.

Match^agt-[0-9a-z]+$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/agents/string/grants/revoke" \  -H "Content-Type: application/json" \  -d '{    "grant": {}  }'
{}